import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class SelectComponent implements ControlValueAccessor, OnInit {
    private S2;
    private S2_CONTAINER;
    private S2_SELECTION;
    options: Array<any>;
    theme: string;
    isSingle: boolean;
    placeholder: string;
    allowClear: boolean;
    container: any;
    selectionSpan: any;
    private dropdown;
    private isDisabled;
    private isBelow;
    private isOpen;
    private hasFocus;
    private width;
    private top;
    private left;
    private optionValues;
    private optionsDict;
    private selection;
    value: Array<string>;
    onChange: (_: any) => void;
    onTouched: () => void;
    /***************************************************************************
     * Event handlers.
     **************************************************************************/
    ngOnInit(): void;
    onSelectionClick(event: any): void;
    onClearClick(event: any): void;
    onToggleSelect(optionValue: any): void;
    onClose(focus: any): void;
    onWindowClick(): void;
    onWindowResize(): void;
    onKeydown(event: any): void;
    /***************************************************************************
     * Initialization.
     **************************************************************************/
    init(): void;
    initOptions(): void;
    initDefaults(): void;
    /***************************************************************************
     * Dropdown toggle.
     **************************************************************************/
    toggleDropdown(): void;
    open(): void;
    close(focus: boolean): void;
    /***************************************************************************
     * Select.
     **************************************************************************/
    toggleSelect(value: string): void;
    updateSelection(): void;
    clearSelected(): void;
    /***************************************************************************
     * ControlValueAccessor interface methods.
     **************************************************************************/
    writeValue(value: any): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(fn: () => void): void;
    /***************************************************************************
     * Keys.
     **************************************************************************/
    private KEYS;
    handleKeyDown(event: any): void;
    /***************************************************************************
     * Layout/Style/Classes/Focus.
     **************************************************************************/
    focus(): void;
    blur(): void;
    updateWidth(): void;
    updatePosition(): void;
    getContainerClass(): any;
    getSelectionClass(): any;
    showPlaceholder(): boolean;
}
